DemoPath = get_absolute_file_path('BlobAnalysis.sce');

RGB = imread(DemoPath + 'lena.png');

Image = rgb2gray(RGB);

figure(); 

OriginalFigure = ShowImage(Image, 'Original Image');

Threshold = 200;

ThresholdImage = SegmentByThreshold(Image, Threshold);

figure();

ShowImage(ThresholdImage, 'Thresholded Image');

ObjectImage = SearchBlobs(ThresholdImage);

figure();

ShowImage(ObjectImage, 'Object Image', jetcolormap(512));

FilteredObjectImage = FilterBySize(ObjectImage, 100);

figure();

ShowImage(FilteredObjectImage, 'Filtered Object Image', jetcolormap(16));

IsCalculated = GenerateFeatureStruct();

IsCalculated.BoundingBox = %t;

BlobStatistics = AnalyzeBlobs(FilteredObjectImage, IsCalculated);

DrawBoundingBoxes(BlobStatistics, [1 1 1]);

DrawBoundingBoxes(BlobStatistics, [1 0 0], OriginalFigure);


