//////////////////////////////////////////////////////////////////////////// 
// IPD - Image Processing Design Toolbox
//
// Copyright (c) by Dr. Eng. (J) Harald Galda, 2009
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
////////////////////////////////////////////////////////////////////////////


// specific part

LibName='libipd';

LibTitle='IPD - Image Processing Design Toolbox 2.0';

write(%io(2), LibTitle);

IPD_PATH = get_absolute_file_path('loader.sce');

// load the library macros

execstr(LibName + ' = lib(""' + IPD_PATH + 'macros\' + '"")');

// define data type constants

TYPE_DOUBLE = 1;

TYPE_INT = 8;

TYPE_BOOLEAN = 4;

TYPE_STRING = 10;

TYPE_STRUCT = 17;

TYPE_LIST = 15;

TYPE_GRAPHIC_HANDLE = 9;

STRUCTURE_ELEMENT_RECT = 0; // structure element shape in libIPD.dll 

STRUCTURE_ELEMENT_CROSS = 1; // structure element shape in libIPD.dll 

STRUCTURE_ELEMENT_CIRCLE = 2; // structure element shape in libIPD.dll 

STRUCTURE_ELEMENT_CUSTOM = 3; // structure element shape in libIPD.dll 

FILTER_DILATE = 0; // filter in libIPD.dll

FILTER_ERODE = 1; // filter in libIPD.dll

FILTER_CLOSE = 2; // filter in libIPD.dll

FILTER_OPEN = 3; // filter in libIPD.dll

FILTER_TOP_HAT = 4; // filter in libIPD.dll

FILTER_BOTTOM_HAT = 5; // filter in libIPD.dll

// load help

help_path = IPD_PATH + 'help';

if isdir(help_path) then
 
 current_path = pwd();
 
 chdir(help_path);
 
 exec('loadhelp.sce');
 
 chdir(current_path);
 
end

// load libIPD.dll

cpp_path = IPD_PATH + 'lib';

if isdir(cpp_path) then
 
 current_path = pwd();
 
 chdir(cpp_path);
 
 exec('loader.sce');
 
 chdir(current_path);

end

// add demos to demos menu

global demolist;

have_ipd = %f;

number_of_demos = size(demolist, 1);

n = 1;

while (~have_ipd) & (n <= number_of_demos)
 
 have_ipd = (demolist(n, 1) == 'IPD');
 
 n = n + 1;
 
end;

if ~have_ipd then
 
 demolist = [demolist; 'IPD', IPD_PATH + '\demos\ipd.dem'];
	
end;


// clear variables

clear LibName;

clear LibTitle;

clear help_path;

clear cpp_path;

