//////////////////////////////////////////////////////////////////////////// 
// IPD - Image Processing Design Toolbox
//
// Copyright (c) by Dr. Eng. (J) Harald Galda, 2009
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
////////////////////////////////////////////////////////////////////////////

#ifndef IPD_H
#define IPD_H

#include <vector>
#include <list>
using namespace std;

// type definitions

typedef unsigned long TULong;

typedef unsigned int TUInt;

typedef unsigned short TUShort;

typedef vector<TULong> TVector;

typedef list<TULong> TList;

// constants

const TULong STRUCTURE_ELEMENT_RECT = 0;

const TULong STRUCTURE_ELEMENT_CROSS = 1;

const TULong STRUCTURE_ELEMENT_CIRCLE = 2;

const TULong STRUCTURE_ELEMENT_CUSTOM = 3;

const TULong FILTER_DILATE = 0;

const TULong FILTER_ERODE = 1;

const TULong FILTER_CLOSE = 2;

const TULong FILTER_OPEN = 3;

const TULong FILTER_TOP_HAT = 4;

const TULong FILTER_BOTTOM_HAT = 5;

// helper function prototypes

TULong SearchRoot(TULong Node, const TVector& SearchTree);

#endif
