//////////////////////////////////////////////////////////////////////////// 
// IPD - Image Processing Design Toolbox
//
// Copyright (c) by Dr. Eng. (J) Harald Galda, 2009
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
////////////////////////////////////////////////////////////////////////////


#include "IPD.h"

// This function searches the root of a node in a tree. A leaf in the tree points to 
// itself.
TULong SearchRoot(TULong Node, const TVector& SearchTree)
{
 TULong NextNode = SearchTree[Node];

 TULong Root = Node;

 while(NextNode != Root)
 {
  Root = NextNode;
 
  NextNode = SearchTree[Root];
 } // while

 return Root;
} // SearchRoot
