////////////////////////////////////////////////////////////
// SIVP - Scilab Image and Video Processing toolbox
// Copyright (C) 2008  Shiqi Yu
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////

lines(0);

gateway_dir = get_absolute_file_path('builder.sce');

previous_dir = pwd();
cd(gateway_dir);

ilib_name  = 'libsivp'; 		

//get all *.c file in this directory
srcfiles = listfiles('*.c');

//remove libsivp.c
files=[];
for myindex=1:size(srcfiles,1)
    if( srcfiles(myindex) <> 'libsivp.c' ) then
        files = [files, srcfiles(myindex)];
    end
end

files = strsubst(files, '.c', '.o');

scilab_version=getversion();
if ~(str2code( part(scilab_version, 8)) <= 4) & (MSDOS==%F) then //version >= 5.x.x
   files = [files, 'common.h', 'config.h'];
end

// name known in scilab , C function called
table=[	'sivptest', 'int_test'; 		'sivp_init','int_sivp_init'; 		'imread', 'int_imread';		'int_imwrite', 'int_imwrite';		'imfinfo', 'int_imfinfo';		'aviinfo', 'int_aviinfo';		'aviopen', 'int_aviopen';		'camopen', 'int_camopen';		'avifile', 'int_avifile';		'aviclose','int_aviclose';		'avicloseall','int_avicloseall';		'avilistopened', 'int_avilistopened';		'avireadframe', 'int_avireadframe';		'addframe', 'int_addframe';		'int_imresize', 'int_imresize';		'int_imabsdiff', 'int_imabsdiff';		'int_imadd', 'int_imadd'; 		'int_imsubtract', 'int_imsubtract'; 		'int_immultiply', 'int_immultiply'; 		'int_imdivide', 'int_imdivide'; 		'imfilter', 'int_imfilter'; 		'filter2', 'int_filter2'; 		'mat2utfimg', 'int_mat2utfimg';		'int_canny', 'int_canny'; 		'int_sobel', 'int_sobel'; 		'int_cvtcolor', 'int_cvtcolor'; 		'ind2rgb', 'int_ind2rgb'; 		'detectobjects', 'int_detectobjects'; 		'camshift', 'int_camshift'; 		'meanshift', 'int_meanshift';		'detectforeground', 'int_detectforeground';		'impyramid', 'int_impyramid';		];

if (MSDOS) then
	libname = ilib_build(ilib_name,table,files,[],'Makelib',' '"C:\\PROGRA~1\\OpenCV\\lib\\cxcore.lib'" '"C:\\PROGRA~1\\OpenCV\\lib\\cv.lib'" '"C:\\PROGRA~1\\OpenCV\\lib\\cvaux.lib'" '"C:\\PROGRA~1\\OpenCV\\lib\\highgui.lib'" ', '-I'"C:\\PROGRA~1\\OpenCV\\cxcore\\include'"  -I'"C:\\PROGRA~1\\OpenCV\\cv\\include'"  -I'"C:\\PROGRA~1\\OpenCV\\cvaux\\include'" -I'"C:\\PROGRA~1\\OpenCV\\otherlibs\\highgui'"');
else
	libname = ilib_build(ilib_name,table,files,[],'Makelib',' -lcxcore -lcv -lhighgui -lcvaux -lml  ', '-g -O2 -I/usr/include/opencv  ');
end

cd(previous_dir);
// ====================================================================
clear ilib_build;
clear libname;
clear table;
clear libs;
clear files;
clear ilib_name;
clear previous_dir;
clear gateway_dir;
clear scilab_version;
// ====================================================================
//exit;
